com.io7m.jregions.core.unparameterized.areas

## Interface AreaDType

- All Superinterfaces:
    AreaSizeValuesDType, AreaValuesDType
  All Known Implementing Classes:
    AreaD

      public interface AreaDType
      extends AreaValuesDType

  An area with `double` coordinates.

  The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y axis.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `checkPreconditions()` Check the preconditions for the parameters.
    `double` | `maximumX()`
    `double` | `maximumY()`
    `double` | `minimumX()`
    `double` | `minimumY()`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.areas.AreaValuesDType

      `sizeX, sizeY`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesDType

      `height, width`

- - ### Method Detail

    - #### minimumX

          double minimumX()

      Specified by:
        `minimumX` in interface `AreaValuesDType`
      Returns:
        The value on the X axis of the minimum edge of the box (inclusive)

    - #### maximumX

          double maximumX()

      Specified by:
        `maximumX` in interface `AreaValuesDType`
      Returns:
        The value on the X axis of the maximum edge of the box (exclusive)

    - #### minimumY

          double minimumY()

      Specified by:
        `minimumY` in interface `AreaValuesDType`
      Returns:
        The value on the Y axis of the minimum edge of the box (inclusive)

    - #### maximumY

          double maximumY()

      Specified by:
        `maximumY` in interface `AreaValuesDType`
      Returns:
        The value on the Y axis of the maximum edge of the box (exclusive)

    - #### checkPreconditions

          default void checkPreconditions()

      Check the preconditions for the parameters.

Copyright © 2017 <code@io7m.com> http://io7m.com